Collective Invoice Run
Start and cancel collective invoice runs in VARIO Cloud, selecting accounts and delivery documents with filters, variables, IDs, and due dates.
Sammelrechnungsläufe
Body
accountIdsToIgnoreinteger · int64[]Optional
IDs von Accounts, die (nach der Template-Auflösung) ignoriert werden sollen.
accountIdsToAddinteger · int64[]Optional
IDs von Accounts, die explizit verarbeitet werden sollen. Wenn gesetzt, werden Predicate und Variables nicht ausgewertet.
dueDatestring · dateRequired
Stichtag des Laufs. Nur Accounts mit Customer#dueDateSchedule.dueDate kleiner/gleich diesem Datum werden verarbeitet.
Responses
200
successful operation
*/*
contextstringOptional
message context
messageValuestringOptional
message
422
invalid request (e.g. Periodicity MANUAL or missing)
*/*
post/erp/documents/additional-functions/collective-invoice-runs
POST /erp/documents/additional-functions/collective-invoice-runs HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 479
{
"accountVariables": {
"variableSubstitutions": []
},
"accountQueryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"accountIdsToIgnore": [
1
],
"accountIdsToAdd": [
1
],
"deliveryDocumentVariables": {
"variableSubstitutions": []
},
"deliveryDocumentQueryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"dueDate": "2026-01-01"
}{
"context": "text",
"messageValue": "text"
}Path parameters
runIdinteger · int64Required
collective invoice run identifier
Responses
200
successful operation
*/*
contextstringOptional
message context
messageValuestringOptional
message
422
run already processed or already canceled
*/*
post/erp/documents/additional-functions/collective-invoice-runs/{runId}/dissolve
POST /erp/documents/additional-functions/collective-invoice-runs/{runId}/dissolve HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Last updated
Was this helpful?